Skip to content

List User Permissions

Request

Get a list of user permissions

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
user_idintegerrequired

User ID

Query
page_limitinteger, [ 1 .. 1000 ]

Number of elements in the collection to retrieve

Example:page_limit=100
page_offsetinteger, [ 0 .. 1000 ]

Index of the first element in the collection to retrieve

Example:page_offset=0
organization_idArray of integers

Numeric ID of the user

agency_idArray of integers

Numeric ID of the agency

advertiser_idArray of integers

Numeric ID of the advertiser

campaign_idArray of integers

Numeric ID of the campaign

strategy_idArray of integers

Numeric ID of the strategy

GET
/permissions/{user_id}
curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/permissions/{user_id}?page_limit=100&page_offset=0&organization_id=0&agency_id=0&advertiser_id=0&campaign_id=0&strategy_id=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List user permissions response

Bodyapplication/json
dataobject(permission_list)
metaobject
Response
{ "data": { "organizations": [], "agencies": [], "advertisers": [], "campaigns": [], "strategies": [] }, "meta": { "status": "success" } }